package pps.core.task.constant;

/**
 * cron配置
 *
 * @author ZWT
 * @date 2023/09/13 14:29
 */
public class TaskConstant {

    /**
     * 每月第一天 00:30:00
     */
    public static final String FIRST_DAY_OF_THE_MONTH = "0 30 0 1 * ?";

    /**
     * 十分钟一次
     */
    public static final String TEN_MINUTES = "0 0/10 * * * ?";

    /**
     * 半小时一次
     */
    public static final String HALF_HOUR_ZERO = "0 0/30 * * * ?";

    /**
     * 每周一 00:00:00
     */
    public static final String EVERY_MONDAY = "0 0 0 ? * 2";

    /**
     * 每一天 00:15:00
     */
    public static final String EVERY_DAY = "0 15 0 * * ?";

    /**
     * 每一天 00:30:00
     */
    public static final String EVERY_DAY_30 = "0 30 0 * * ?";

    /**
     * 每一天 00:00:00
     */
    public static final String EVERY_DAY_ZERO = "0 0 0 * * ?";

    /**
     * 每一天结束时间 23:50:00
     */
    public static final String END_OF_DAY = "0 50 23 * * ?";

    /**
     * 半小时执行一次 12:05:00 12:35:00...
     */
    public static final String HALF_HOUR_35 = "0 5/30 * * * ?";

    /**
     * 任务锁定键
     */
    public static final String TASK_LOCK_KEY = "pps.task_lock_key.";
}