package pps.cloud.prediction.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 第三方数据接入Cloud模块
 *
 * @author ZWT
 * @date 2024/03/19 10:25
 */
@XService
@XText("第三方数据接入Cloud模块")
public interface IThirdDataAccessCloudService {

    /**
     * 第三方有功功率定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("第三方有功功率定时任务")
    XServiceResult thirdActivePowerJob(XContext context);

    /**
     * 第三方当日油井状态定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("第三方当日油井状态定时任务")
    XServiceResult thirdCurrentWellConditionJob(XContext context);

    /**
     * 第三方光伏日发电量定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("第三方光伏日发电量定时任务")
    XServiceResult thirdPhotovoltaicPowerJob(XContext context);

    /**
     * 能耗分析定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("能耗分析定时任务")
    XServiceResult energyConsumptionAnalysisJob(XContext context);
}
