package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方有功功率(每日最新数据)
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
@TableName("third_active_power_daily_update")
public class ThirdActivePowerDailyUpdateEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏有功功率(KW)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    @TableField
    private BigDecimal meterPower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    @XText("入库小时")
    @TableField
    private Date saveHour;
}
