package pps.core.prediction.service.data.third_active_power_daily_update;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 第三方有功功率(每日最新数据)
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class GetThirdActivePowerDailyUpdateInput {

    @XText("井组名称(线路/光伏电站)")
    @NotBlank(message = "缺少井组名称")
    private String stationName;

    @XText("查询日期")
    @NotNull(message = "缺少查询日期")
    private Date queryDate;
}
